Summary: unix2dos - UNIX to DOS text file format converter
Name: unix2dos
Version: 2.2
Release: 24.2
License: distributable
Group: Applications/Text
Source: unix2dos-2.2.src.tar.gz
Patch0: unix2dos-mkstemp.patch
Patch1: unix2dos-2.2-segfault.patch
Patch2: unix2dos-2.2-manpage.patch
Patch3: unix2dos-2.2-mode.patch
Patch4: unix2dos-2.2-tmppath.patch
Patch5: unix2dos-preserve-file-modes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%prep
%setup -q -c
%patch0 -p1 -b .sec
%patch1 -p1 -b .segf
%patch2 -p1 -b .man
%patch3 -p1 -b .mode
%patch4 -p1 -b .tmppath
%patch5 -p1 -b .preserve-file-modes
perl -pi -e "s,^#endif.*,#endif,g;s,^#else.*,#else,g" *.[ch]

%description
A utility that converts plain text files in UNIX format to DOS format.

%build
gcc -Wall $RPM_OPT_FLAGS -ounix2dos unix2dos.c

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -m755 unix2dos $RPM_BUILD_ROOT%{_bindir}
install -m444 unix2dos.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,0755)
%doc COPYRIGHT
%{_bindir}/unix2dos
%{_mandir}/*/*


%changelog
* Thu Nov 12 2009 Tim Waugh <twaugh@redhat.com> 2.2-24.2
- Preserve file modes (bug #531926).

* Tue Apr 12 2005 Tim Waugh <twaugh@redhat.com> 2.2-24.1
- Removed inappropriate strcpy (bug #153079).  Based on patch from Neil
  Horman.

* Wed Oct 20 2004 Miloslav Trmac <mitr@redhat.com> - 2.2-24
- Don't just delete the original file when destination and current directory
  are on different filesystems 

* Mon Oct 11 2004 Tim Waugh <twaugh@redhat.com> 2.2-23
- Apply H J Lu's patch to preserve file mode (bug #91332).

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Oct  7 2002 Mike A. Harris <mharris@redhat.com> 2.2-18
- All-arch rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Mar  5 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-15
- rebuild

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-14
- Fix up the mkstemp patch, don't segfault with lacking write permissions
  (#57700)
- Fix up man page (part 2 of #57700)
- Fix compiler warnings

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Nov 17 2000 Tim Powers <timp@redhat.com>
- patched to use mkstemp, not much had to be done.

* Thu Nov 16 2000 Tim Powers <timp@redhat.com>
- minor spec file cleanups
- built for 7.1
- use predefined RPM macros whenever possible
- use RPM_OPT_FLAGS when building

* Tue Jul 07 1999 Peter Soos <sp@osb.hu> 
- Added Hungarian "Summary:" and "%description" 
- Corrected the file and directory attributes to rebuild the package 
  under RedHat Linux 6.0 
 
* Thu Jul 09 1998 Arkadiusz Mikkkkkkiewicz <misiek@misiek.eu.org> 
- Recompiled under RedHat Linux 5.1 
- Small changes in %build and %files 
- Added "Vendor:" 
- Added Polish "Summary:" and "%description" 
 
* Thu Jun 18 1998 Peter Soos <sp@osb.hu> 
- Corrected the spec file for rpm 2.5 
 
* Fri Dec 5 1997 Peter Soos <sp@osb.hu> 
- Recompiled under RedHat Linux 5.0
